Attempting to Connect to MySQL 8.0.4 or Later Fails: Authentication Plugin caching_sha2_password is not Supported

(Doc ID 2347540.1)

Last updated on JANUARY 10, 2018

Applies to:

MySQL Server - Version 8.0 and later
MySQL Cluster - Version 7.6 and later
MySQL Connectors - Version 1.0 to 2.1 [Release 1.0 to 2.1]
MySQL Utilities - Version 1.5.2 and later
Information in this document applies to any platform.


After upgrading to MySQL Server 8.0.4 or after installing it, attempts to connect fails with an error saying that the caching_sha2_password plugin is not supported or similar.

The exact error message depends on which library/connector is used for the connection. Examples are: